Debian Bug report logs - #562999
genext2fs: Add support for blocksize != 1024

version graph

Package: genext2fs; Maintainer for genext2fs is Jérémie Koenig <jk@jk.fr.eu.org>; Source for genext2fs is src:genext2fs.

Reported by: Samuel Thibault <sthibault@debian.org>

Date: Tue, 29 Dec 2009 21:57:00 UTC

Severity: important

Tags: patch

Fixed in version genext2fs/1.4.1-3

Done: Jérémie Koenig <jk@jk.fr.eu.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Franz Pletz <fpletz@franz-pletz.org>:
Bug#562999; Package genext2fs. (Tue, 29 Dec 2009 21:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
New Bug report received and forwarded. Copy sent to Franz Pletz <fpletz@franz-pletz.org>. (Tue, 29 Dec 2009 21:57:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: genext2fs: Add support for blocksize != 1024
Date: Tue, 29 Dec 2009 22:55:30 +0100
[Message part 1 (text/plain, inline)]
Package: genext2fs
Severity: important
Tags: patch

Hello,

hurd-i386 doesn't yet support a blocksize different than the page size.
genext2fs currently only supports 1024, but making it support != 1024 is
actually quite trivial, see attached patch.

Samuel

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

-- 
Samuel Thibault <samuel.thibault@fnac.net>
* y se leve dans 2h10
[patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Franz Pletz <fpletz@franz-pletz.org>:
Bug#562999; Package genext2fs. (Thu, 27 May 2010 11:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémie Koenig <jk@jk.fr.eu.org>:
Extra info received and forwarded to list. Copy sent to Franz Pletz <fpletz@franz-pletz.org>. (Thu, 27 May 2010 11:39:06 GMT) Full text and rfc822 format available.

Message #10 received at 562999@bugs.debian.org (full text, mbox):

From: Jérémie Koenig <jk@jk.fr.eu.org>
To: control@bugs.debian.org, 562999@bugs.debian.org
Cc: debian-hurd@lists.debian.org
Subject: genext2fs: new patches for Hurd support
Date: Thu, 27 May 2010 13:36:54 +0200
[Message part 1 (text/plain, inline)]
user jk@jk.fr.eu.org
usertags 562999 gsoc2010
thanks

Hello,

The attached patches, based on the earlier one from Samuel Thibault,
add support for all the ext2 block sizes (1024, 2048 and 4096) to
genext2fs, and set the creator-os field of the superblock to an
appropriate value.

I have fixed a few problems with the block bitmaps which appear on
2048 and 4096 bytes blocks, related to the fact that the bootloader
area and superblock share the first block in these cases. Also, in
order to allow the block size to be chosen at runtime, I have has to
change the way the group descriptors are accessed (they cannot be kept
inside the 'filesystem' structure since their offset depends on the
block size).

The -B <block size> and -o <creator> options can be used to specify
the respective value. The last patch updates the test suite to reflect
these changes.

-- 
Jérémie Koenig <jk@jk.fr.eu.org>
http://jk.fr.eu.org/
[0001-Support-block-sizes-1024.patch (text/x-patch, attachment)]
[0002-Make-BLOCKSIZE-a-global-variable.patch (text/x-patch, attachment)]
[0003-Add-the-B-size-option-to-control-the-block-size.patch (text/x-patch, attachment)]
[0004-Add-the-o-os-option-to-set-the-creator_os-field.patch (text/x-patch, attachment)]
[0005-Update-the-test-suite-to-handle-B-sz-and-o-os.patch (text/x-patch, attachment)]

Reply sent to Jérémie Koenig <jk@jk.fr.eu.org>:
You have taken responsibility. (Mon, 05 Sep 2011 22:06:13 GMT) Full text and rfc822 format available.

Notification sent to Samuel Thibault <sthibault@debian.org>:
Bug acknowledged by developer. (Mon, 05 Sep 2011 22:06:13 GMT) Full text and rfc822 format available.

Message #15 received at 562999-close@bugs.debian.org (full text, mbox):

From: Jérémie Koenig <jk@jk.fr.eu.org>
To: 562999-close@bugs.debian.org
Subject: Bug#562999: fixed in genext2fs 1.4.1-3
Date: Mon, 05 Sep 2011 22:03:06 +0000
Source: genext2fs
Source-Version: 1.4.1-3

We believe that the bug you reported is fixed in the latest version of
genext2fs, which is due to be installed in the Debian FTP archive:

genext2fs_1.4.1-3.debian.tar.gz
  to main/g/genext2fs/genext2fs_1.4.1-3.debian.tar.gz
genext2fs_1.4.1-3.dsc
  to main/g/genext2fs/genext2fs_1.4.1-3.dsc
genext2fs_1.4.1-3_amd64.deb
  to main/g/genext2fs/genext2fs_1.4.1-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 562999@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jérémie Koenig <jk@jk.fr.eu.org> (supplier of updated genext2fs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 03 Sep 2011 21:35:48 +0200
Source: genext2fs
Binary: genext2fs
Architecture: source amd64
Version: 1.4.1-3
Distribution: unstable
Urgency: low
Maintainer: Jérémie Koenig <jk@jk.fr.eu.org>
Changed-By: Jérémie Koenig <jk@jk.fr.eu.org>
Description: 
 genext2fs  - ext2 filesystem generator for embedded systems
Closes: 562999 579369
Changes: 
 genext2fs (1.4.1-3) unstable; urgency=low
 .
   * New maintainer (closes: 579369).
   * Packaging cleanup:
     - update autotools dependencies;
     - update to debhelper 8;
     - switch to source format 3.0 (quilt);
     - bump Standards-Version to 3.9.2.
   * debian/patches/blocksize+creator.diff: New patch, add options -B and -o
     to select the block size and creator OS (closes: 562999).
   * Add Vcs-Git and Vcs-Browser fields to debian/control.
   * Add debian/gbp.conf (configuration for git-buildpackage).
Checksums-Sha1: 
 7728b0a9e95c04f09911c063d637026ea00e3a59 1203 genext2fs_1.4.1-3.dsc
 3898f80c41c2a154ffe03472bfd050ca368ecf12 10635 genext2fs_1.4.1-3.debian.tar.gz
 26af332f1452513b5396cabc7004f4e1d427fd6a 25232 genext2fs_1.4.1-3_amd64.deb
Checksums-Sha256: 
 07108a885928af831d5e1f2a5ab91b7e162fdafff354f4c2cfdd55d8bf4c106b 1203 genext2fs_1.4.1-3.dsc
 e677ab05de46b56a9361615d93a6fa62385c894f466e32c07181299ccc492bcc 10635 genext2fs_1.4.1-3.debian.tar.gz
 0ee966117f2457d00086f280e1acf22e41c29d407403e0d03def6adc878556c5 25232 genext2fs_1.4.1-3_amd64.deb
Files: 
 159273113b5ab027a4cb13d1eded664d 1203 admin optional genext2fs_1.4.1-3.dsc
 d0e2770de649f110977ec58e687386e6 10635 admin optional genext2fs_1.4.1-3.debian.tar.gz
 1eeb76f95daf52af5e832d39e9914e94 25232 admin optional genext2fs_1.4.1-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iF4EAREKAAYFAk5lQu8ACgkQGTVCP41km8072wD+Pee5Ro8012hixGzPkqBbFi0D
sXo41aixsFgl8ayi8WYA/A4WLkeNkGL7L5Zk7zgVHh/Cz0jL7tx3Ug+rfpTlUoUX
=nRzX
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Jérémie Koenig <jk@jk.fr.eu.org>:
Bug#562999; Package genext2fs. (Mon, 05 Dec 2011 05:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Annathurai, GobinathX" <gobinathx.annathurai@intel.com>:
Extra info received and forwarded to list. Copy sent to Jérémie Koenig <jk@jk.fr.eu.org>. (Mon, 05 Dec 2011 05:45:03 GMT) Full text and rfc822 format available.

Message #20 received at 562999@bugs.debian.org (full text, mbox):

From: "Annathurai, GobinathX" <gobinathx.annathurai@intel.com>
To: "562999@bugs.debian.org" <562999@bugs.debian.org>
Subject: Missing -a option in the patches
Date: Sun, 4 Dec 2011 21:31:39 -0800
[Message part 1 (text/plain, inline)]
Hi,


The -a option is not available in the patches [0003-Add-the-B-size-option-to-control-the-block-size.patch<http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=10;filename=0003-Add-the-B-size-option-to-control-the-block-size.patch;att=3;bug=562999> and [0004-Add-the-o-os-option-to-set-the-creator_os-field.patch<http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=10;filename=0004-Add-the-o-os-option-to-set-the-creator_os-field.patch;att=4;bug=562999>.



Please add it to the patches.



Thanks,

Gobinath.a



[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#562999; Package genext2fs. (Mon, 05 Dec 2011 06:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémie Koenig <jk@jk.fr.eu.org>:
Extra info received and forwarded to list. (Mon, 05 Dec 2011 06:39:03 GMT) Full text and rfc822 format available.

Message #25 received at 562999@bugs.debian.org (full text, mbox):

From: Jérémie Koenig <jk@jk.fr.eu.org>
To: "Annathurai, GobinathX" <gobinathx.annathurai@intel.com>, 562999@bugs.debian.org
Subject: Re: Bug#562999: Missing -a option in the patches
Date: Mon, 5 Dec 2011 07:37:54 +0100
Hi,

2011/12/5 Annathurai, GobinathX <gobinathx.annathurai@intel.com>:
> The –a option is not available in the patches
> [0003-Add-the-B-size-option-to-control-the-block-size.patch and
> [0004-Add-the-o-os-option-to-set-the-creator_os-field.patch.

I'm not sure what -a option you are referring to.
Can you elaborate?

-- 
Jérémie Koenig <jk@jk.fr.eu.org>
http://jk.fr.eu.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Jérémie Koenig <jk@jk.fr.eu.org>:
Bug#562999; Package genext2fs. (Mon, 05 Dec 2011 09:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Annathurai, GobinathX" <gobinathx.annathurai@intel.com>:
Extra info received and forwarded to list. Copy sent to Jérémie Koenig <jk@jk.fr.eu.org>. (Mon, 05 Dec 2011 09:21:07 GMT) Full text and rfc822 format available.

Message #30 received at 562999@bugs.debian.org (full text, mbox):

From: "Annathurai, GobinathX" <gobinathx.annathurai@intel.com>
To: Jérémie Koenig <jk@jk.fr.eu.org>, "562999@bugs.debian.org" <562999@bugs.debian.org>
Subject: RE: Bug#562999: Missing -a option in the patches
Date: Mon, 5 Dec 2011 01:17:02 -0800
[Message part 1 (text/plain, inline)]
Hi,



The -a option is for to "fix-android-stats".



The below while loops, in function main(), miss the 'a' option:



       while((c = getopt_long(argc, argv, "x:d:D:B:b:i:N:m:g:e:zfqUPhVv", longopts, NULL)) != EOF) {

#else

       app_name = argv[0];



       while((c = getopt(argc, argv,      "x:d:D:B:b:i:N:m:g:e:zfqUPhVv")) != EOF) {



=> It has to be "x:d:D:B:b:i:N:m:g:e:zfqUPhaVv"



Sorry for not being specific.



Thanks,

Gobinath.a



-----Original Message-----
From: jeremie.koenig@gmail.com [mailto:jeremie.koenig@gmail.com] On Behalf Of Jérémie Koenig
Sent: Monday, December 05, 2011 12:08 PM
To: Annathurai, GobinathX; 562999@bugs.debian.org
Subject: Re: Bug#562999: Missing -a option in the patches



Hi,



2011/12/5 Annathurai, GobinathX <gobinathx.annathurai@intel.com>:

> The -a option is not available in the patches

> [0003-Add-the-B-size-option-to-control-the-block-size.patch and

> [0004-Add-the-o-os-option-to-set-the-creator_os-field.patch.



I'm not sure what -a option you are referring to.

Can you elaborate?



--

Jérémie Koenig <jk@jk.fr.eu.org>

http://jk.fr.eu.org/
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#562999; Package genext2fs. (Mon, 05 Dec 2011 18:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémie Koenig <jk@jk.fr.eu.org>:
Extra info received and forwarded to list. (Mon, 05 Dec 2011 18:21:04 GMT) Full text and rfc822 format available.

Message #35 received at 562999@bugs.debian.org (full text, mbox):

From: Jérémie Koenig <jk@jk.fr.eu.org>
To: "Annathurai, GobinathX" <gobinathx.annathurai@intel.com>
Cc: "562999@bugs.debian.org" <562999@bugs.debian.org>
Subject: Re: Bug#562999: Missing -a option in the patches
Date: Mon, 5 Dec 2011 19:19:50 +0100
Hi again,

On Mon, Dec 5, 2011 at 10:17 AM, Annathurai, GobinathX
<gobinathx.annathurai@intel.com> wrote:
> The -a option is for to "fix-android-stats".

Oh, ok.

> The below while loops, in function main(), miss the 'a' option:
>
>        while((c = getopt_long(argc, argv, "x:d:D:B:b:i:N:m:g:e:zfqUPhVv",
> (...)
> => It has to be "x:d:D:B:b:i:N:m:g:e:zfqUPhaVv"

Unfortunately this wouldn't be enough -- the option also has to be
handled by the subsequent switch() blocks.

It seems Android have their own patches for genext2fs (which add the
-a option). If it would help you to have some of them in Debian, feel
free to submit them in a new bug report and I'll consider including
them. (I have only had a very quick look at some of their repositories
so far.)

Note that these patches apparenly build-depend on the Android SDK
(namely, the <private/android_filesystem_config.h> header file), which
is not packaged for Debian at the moment. Until then, it might be
somewhat problematic to use them.

-- 
Jérémie Koenig <jk@jk.fr.eu.org>
http://jk.fr.eu.org/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 07 Jan 2012 07:37:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:24:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.